5

When I had installed LyX on Windows 7, it had installed MiKTeX along with it. On Ubuntu 12.04 LTS, I had been using TeX Live and TexStudio together. However, I would like to use LyX as I am more used to it.

I was wondering if it would be possible to use LyX along with TeX Live 2013 that I have already installed? Are there some specific steps to be followed? Will there be a problem in using TeX Live 2013 which has been updated recently along with LyX that has not been updated recently?

  • 1
    Lyx version in Ubuntu 12.04 repo is 2.0.2, Incase you are satisfied with that, proceed installing it via synaptic manger/command line. wiki.lyx.org/LyX/LyXOnUbuntu#toc3 2.0.6.1: stable:precise:ppa is also available that can installed via gdebi – texenthusiast Aug 23 '13 at 19:19
  • 2
    Just install LyX with e.g. apt-get install lyx, you shouldn't have to do anything (I didn't, at least). – Torbjørn T. Aug 23 '13 at 19:24
  • 1
    I agree with both previous comments: you do not have to do anything. However, I would recommend using the LyX PPA (see the link in the first comment). If you are unsure, you can safely install LyX 2.0.2, LyX 2.0.6, and LyX 2.1 beta alongside each other with no conflict. If you want my recommendation, it would be to use LyX 2.0.6 from the stable PPA. – scottkosty Aug 23 '13 at 22:46
  • I got an error "Get:242 archive.ubuntu.com/ubuntu trusty/main xbitmaps all 1.1.1-2 [28.1 kB] Get:243 archive.ubuntu.com/ubuntu trusty/main xterm amd64 297-1ubuntu1 [665 kB] Fetched 781 MB in 16min 51s (772 kB/s) E: Failed to fetch archive.ubuntu.com/ubuntu/pool/main/s/systemd/… 404 Not Found [IP: 91.189.88.152 80] E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?" – user1271772 Feb 12 '17 at 0:42
  • I have now run apt-get update, but how do I continue where I left off for the lyx installation? Do I start from scratch (and presumably delete the 242 parts that were successfully fetched?) or is there a way to continue where I left off? – user1271772 Feb 12 '17 at 0:44
5

If you working from TeX Live installed with .deb official Ubuntu packages, or you have not TeX Live installed, then you only need:

sudo apt-get install lyx

If you are working with TeX Live 2013 installed from the DVD or the with install-tl-unx.tar.gz, the anterior method is not convenient, because the lyx package dependencies, apt-get wish install also many texlive-* packages with a older version.

To solve this problem with LyX (or any LaTeX editor), you have two approaches:

  1. Make a dummy texlive-local.deb package and install so that apt believe that all dependencies of lyx package already are satisfied, and you can install with apt-get. This is explained in Integrating vanilla TeX Live with Debian.

  2. Download source code or a binary version of LyX and install in /usr/local

If PATH is correct, with both methods LyX will work without problems with the vanilla TeX Live. Although this is not as trivial as just run apt-get. Your mileage may vary.

  • As I had installed Texlive 2013 over the internet, I had set up path variables. I have installed Lyx 2.0.6 from the ppa indicated by texenthusiast. Some old texlive-* packages were installed at the time. Everything seems to be working fine. Should I reinstall lyx following your second approach? – Colorless Photon Aug 25 '13 at 6:26
  • 1
    As far as TeX Live 2013 is a the the beginning in the path variable, probably the Ubuntu packages are just ignored. But an editor installed with apt-get could be configured for Ubuntu default routes ignoring user path settings, and the contrary can to be ruled out. Fortunately, in LyX you can check easily in Tools > TeX information (or something similar, I don't have the English menu). – Fran Aug 25 '13 at 7:03
  • That did the trick. Latex classes, styles, etc. all point to /usr/local/texlive/2013/... Thanks! – Colorless Photon Aug 25 '13 at 7:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.